powered by Jive Software

Openfire 3.8.0: can't connect to server with Gajim

Hi all.

When trying to connect to openfire from Gajim (one of the most popular UNIX clients) Gajim says that there was something with my user/password and Openfire claims in warn log that:

2013.02.27 11:31:34 org.jivesoftware.openfire.net.StanzaHandler - Unexpected packet tag (not message,iq,presence)

I’m able to login and chat with Gajim 0.15.2 (Windows version) to Openfire 3.8.1 Alpha (SSL enabled).

Hi,

One the Openfire admin console, which Java version does it show to be running?

daryl

1.7.0_09-icedtea Oracle Corporation – OpenJDK 64-Bit Server VM

Thanks, so it is likely OF-509 and OF-636 to blame here. The ‘simpliest’ solution is to switch to Oracle JVM and not use icedtea until these bugs are fixed.

Definitely. Tried 1.6.0_43 from oracle site, both 32 and 64 bits: works nice.